## firefox-3.0 3.6.17+build3+nobinonly-0ubuntu0.8.04.1trisquel2

=== debian/changelog ===
firefox-3.0 (3.6.17+build3+nobinonly-0ubuntu0.8.04.1trisquel2) robur; urgency=low

  * Firefox branding removed, abrowser tuned up for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Sat, 30 Apr 2011 16:05:43 +0000

firefox-3.0 (3.6.17+build3+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.17 build3 (FIREFOX_3_6_17_BUILD3)
    - see USN-1112-1

  * Refresh patch after upstream landing of (bmo: 477724) aka
    avoid pointless shell interpreter hanging around
    - update debian/patches/abrowser_run_mozilla.patch

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 22 Apr 2011 02:18:05 -0500

firefox-3.0 (3.6.16+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.16 (FIREFOX_3_6_16_BUILD1)
    - see USN-1091-1 

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 23 Mar 2011 10:45:17 -0500

firefox-3.0 (3.6.15+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.15 (FIREFOX_3_6_15_BUILD1)
    - see USN-1049-2 

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 03 Mar 2011 10:39:48 -0600

firefox-3.0 (3.6.14+build3+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.14 (FIREFOX_3_6_14_BUILD3)
    - see USN-1049-1

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 21 Feb 2011 05:21:18 -0600

firefox-3.0 (3.6.13+build3+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.13 (FIREFOX_3_6_13_BUILD3)
    - see USN-1019-1

  * Fix LP: #602002 - abrowser will only launch with command firefox instead 
    of abrowser. Add the necessary symlink
    - update debian/firefox.links
  * Drop patch after upstream landing of bmo: 551152 aka Symlinked components
    break everything
    - remove debian/patches/lp518422.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 06 Dec 2010 11:55:24 +0000

firefox-3.0 (3.6.12+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.12 (FIREFOX_3_6_12_BUILD1)
    - see USN-1011-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Oct 2010 08:42:08 -0400

firefox-3.0 (3.6.11+build3+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.11 (FIREFOX_3_6_11_BUILD3)
    - see USN-997-1
    - Fixes LP: #589236 and LP: #239952

  * Bump minimum system NSS to 3.12.8 after landing of (bmo: 600104) aka
    Bump minimum required version for system NSS to 3.12.8
    - update debian/rules
  * Bump minimum system NSPR to 4.8.6 after landing of (bmo: 567620) aka
    Bump minimum required version for system NSPR to 4.8.6
    - update debian/rules
  * Bump minimum version of sqlite to 3.7.1 after landing of (bmo: 583611) aka
    Upgrade to SQLite 3.7.1
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Oct 2010 13:13:11 +0100

firefox-3.0 (3.6.10+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.10 (FIREFOX_3_6_10_BUILD1)

  * Fix LP: #637434 - components.list is not installed
    - update debian/firefox.install

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Sep 2010 19:25:32 +0100

firefox-3.0 (3.6.9+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.9 (FIREFOX_3_6_9_BUILD1)
    - see USN-975-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 25 Aug 2010 15:26:08 +0100

firefox-3.0 (3.6.8+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.8 (FIREFOX_3_6_8_BUILD1)
    - see USN-957-2

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 23 Jul 2010 10:47:30 +0200

firefox-3.0 (3.6.7+build2+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v3.6.7 (FIREFOX_3_6_7_BUILD2)
    - see USN-957-1 

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Jul 2010 22:38:49 +0100

firefox-3.0 (3.6.6+nobinonly-0ubuntu0.8.04.2) hardy-security; urgency=low

  * Fix LP: #600022 - don't ship files which conflict with the Firefox 2
    package. Revert the change to install the preferences in /etc/firefox 
    and add some logic to move them back again. Install the icon as 
    firefox-3.0.png. 
    - update debian/firefox-3.0.preinst
    - update debian/firefox-final.desktop
    - update debian/firefox-minefield.desktop
    - update debian/firefox-namoroka.desktop
    - update debian/firefox.install
    - update debian/firefox.postinst.in
    - add debian/firefox.preinst
    - update debian/rules
  * Bump the firefox-3.0 conflict on firefox - this avoids an unnecessary
    conffile prompt for users upgrading from 3.6.6+nobinonly-0ubuntu0.8.04.1
    - update debian/control
  * Clean up files left in /etc/firefox/profile by version 
    3.6.6+nobinonly-0ubuntu0.8.04.1
    - update debian/firefox.preinst

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Jun 2010 13:52:46 +0100

firefox-3.0 (3.6.6+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New major upstream release v3.6.6 (FIREFOX_3_6_6_RELEASE)
    - see USN-930-1
  * Note that sun-java5-plugin has no support for Firefox 3.6. Users of
    sun-java5-plugin are advised to upgrade to sun-java6-plugin

  * Switch to using unversioned binaries. This means that firefox and
    firefox-gnome-support are no longer meta-packages depending on the latest
    versioned binary packages, but they ship the binary components. Convert
    firefox-3.0* packages to meta packages which pull in the unversioned binaries
    to ensure a smooth upgrade path
    - update debian/control
    - rename debian/firefox-3.0-dev.install => debian/firefox-dev.install
    - rename debian/firefox-3.0-dev.links => debian/firefox-dev.links
    - rename debian/firefox-3.0-final.desktop => debian/firefox-final.desktop
    - rename debian/firefox-3.0-gnome-support.install => debian/firefox-gnome-support.install

