=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

DEBIAN_NAME		:= $(shell dpkg-parsechangelog | sed -n 's/^Source: *\(.*\)$$/\1/ p')

DEBIAN_APP_NAME		:= $(shell echo $(DEBIAN_NAME) | sed -e 's/-.*//')
DEBIAN_APP_NAME_VER	:= $(shell echo $(DEBIAN_NAME) | sed -e 's/^[^-]*-\{0,1\}\([^-]*\)$$/\1/')
DEBIAN_APP_NAME_OTHER	:= abrowser

DEBIAN_NAME_OTHER	:= $(shell echo $(DEBIAN_NAME) | sed -e 's/$(DEBIAN_APP_NAME)/$(DEBIAN_APP_NAME_OTHER)/')

BRANDING_NAME_OTHER	:= awesome-browser

DEBIAN_META_NAME	:= $(shell grep '^Package: $(DEBIAN_APP_NAME)$$' $(CURDIR)/debian/control | sed -e 's/^Package: //')

DEBIAN_VERSION		:= $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
DEBIAN_XUL_VER		:= $(shell MALLOC_OPTIONS=O xulrunner-1.9.2 --gre-version)
DEBIAN_XUL_DEV		:= /usr/lib/xulrunner-devel-$(DEBIAN_XUL_VER)
DEBIAN_XUL_DIR		:= usr/lib/xulrunner-$(DEBIAN_XUL_VER)
DEBIAN_FF3_VER		 = $(shell cat build-tree/mozilla/browser/config/version.txt)
DEBIAN_FF3_DIR		 = usr/lib/$(DEBIAN_APP_NAME)-$(DEBIAN_FF3_VER)
DEB_TAR_SRCDIR		:= mozilla

WANT_UNIT_TESTS		?= 1
DEB_MIN_SYSDEPS		?= 1

MOZCLIENT_PROJECTNAME	:= $(DEBIAN_NAME)
MOZCLIENT_PROJECTDIR	:= $(CURDIR)/debian/mozclient

ifneq (,$(DEBIAN_META_NAME))
  DEBIAN_REAL_NAME = $(DEBIAN_META_NAME)
  DEBIAN_REAL_NAME_OTHER = $(DEBIAN_APP_NAME_OTHER)
else
  DEBIAN_REAL_NAME = $(DEBIAN_NAME)
  DEBIAN_REAL_NAME_OTHER = $(DEBIAN_NAME_OTHER)
endif

DISTRIB := $(shell lsb_release -i -s)
ifneq (,$(filter $(DISTRIB),Ubuntu))
  DISTRIB_VERSION_MAJOR := $(shell lsb_release -s -r | cut -d '.' -f 1)
  DISTRIB_VERSION_MINOR := $(shell lsb_release -s -r | cut -d '.' -f 2)
endif

# minVersion and maxVersion used in install.rdf
EM_TRANSLATION_VERSION     = 3.6
EM_TRANSLATION_MIN_VERSION = $(EM_TRANSLATION_VERSION)
EM_TRANSLATION_MAX_VERSION = $(EM_TRANSLATION_VERSION).*

EXTRA_SYSTEM_CONFIGURE_FLAGS = $(NULL)

DESKTOP  = $(DEBIAN_REAL_NAME_OTHER).desktop
ifneq (,$(findstring ~hg,$(DEBIAN_VERSION)))
	# codename branding for dailies
	BRANDING = --with-branding=browser/branding/unofficial
	DESKTOP_BRANDED  = $(DEBIAN_REAL_NAME)-namoroka.desktop
else
	# official branding for releases
	BRANDING = --enable-official-branding
	DESKTOP_BRANDED  = $(DEBIAN_REAL_NAME)-final.desktop
endif

# translation flags
MOZ_TRANSLATION_AUTO_XPI_OUTDIR := debian/lp-export-xpis/
MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS := debian/$(DEBIAN_REAL_NAME)
MOZ_TRANSLATION_AUTO_XPI_LOCALE := en-US

DEB_AUTO_UPDATE_AUTOCONF=2.13

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk
include $(CURDIR)/debian/mozclient/$(DEBIAN_NAME).mk
include /usr/share/mozilla-devscripts/lp-locale-export.mk

# We don't want build-tree/mozilla/README to be shipped as a doc
DEB_INSTALL_DOCS_ALL := $(NULL)

CFLAGS = -g
CXXFLAGS = -g

LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
export LDFLAGS

export DEB_BUILD_HARDENING=1

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
ifneq (armel, $(DEB_BUILD_ARCH))
	EXTRA_SYSTEM_CONFIGURE_FLAGS += --enable-optimize
else
	EXTRA_SYSTEM_CONFIGURE_FLAGS += --enable-optimize=-O2
endif
else
	EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-optimize
endif

# enable IPC only on i386, amd64 and armel
ENABLE_IPC ?= 1
ifeq (,$(findstring i386,$(DEB_BUILD_ARCH)))
ifeq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
ifeq (,$(findstring armel,$(DEB_BUILD_ARCH)))
  ENABLE_IPC=0
endif
endif
endif

ifeq (1,$(ENABLE_IPC))
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --enable-ipc
else
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-ipc
endif

# disable jit on sparc until bmo 502369 is fixable
ifneq (,$(findstring sparc,$(DEB_BUILD_ARCH)))
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-jit
endif

$(info WANT_UNIT_TESTS=$(WANT_UNIT_TESTS))
ifeq (1,$(WANT_UNIT_TESTS))
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --enable-tests --enable-mochitest
else
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-tests --disable-mochitest
endif

ifneq (1, $(DEB_MIN_SYSDEPS))
  USE_SYSTEM_CAIRO := $(shell pkg-config --exists 'cairo >= 1.8.8'; a=$$?; if test $$a != 1; then echo 1; fi)
endif
# for old cairo versions we cannot use system cairo
ifeq (1,$(USE_SYSTEM_CAIRO))
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --enable-system-cairo
else
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-system-cairo
endif

ifneq (1, $(DEB_MIN_SYSDEPS))
  USE_SYSTEM_SQLITE :=  $(shell pkg-config --exists 'sqlite3 >= 3.7.1'; a=$$?; if test $$a != 1; then echo 1; fi)
endif
ifeq (1,$(USE_SYSTEM_SQLITE))
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --enable-system-sqlite
else
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-system-sqlite
endif

ifneq (1, $(DEB_MIN_SYSDEPS))
  USE_SYSTEM_NSPR := $(shell pkg-config --exists 'nspr >= 4.8.6'; a=$$?; if test $$a != 1; then echo 1; fi)
endif
ifeq (1,$(USE_SYSTEM_NSPR))
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --with-system-nspr
else
  EXTRA_SYSTEM_CONFIGURE_FLAGS += --without-system-nspr
endif

ifneq (1, $(DEB_MIN_SYSDEPS))
USE_SYSTEM_NSS := $(shell pkg-config --exists 'nss >= 3.12.8'; a=$$?; if test $$a != 1; then echo 1; fi)
endif
ifeq (1,$(USE_SYSTEM_NSS))
   EXTRA_SYSTEM_CONFIGURE_FLAGS += --with-system-nss
else
   EXTRA_SYSTEM_CONFIGURE_FLAGS += --without-system-nss
endif

ifneq (1, $(DEB_MIN_SYSDEPS))
	system_jpeg_configure_flags    := --with-system-jpeg=/usr
	system_zlib_configure_flags    := --with-system-zlib=/usr
	system_myspell_configure_flags := --disable-system-myspell
	system_xul_configure_flags     := --with-libxul-sdk=$(DEBIAN_XUL_DEV) --with-system-libxul
else
	system_jpeg_configure_flags    := --without-system-jpeg
	system_zlib_configure_flags    := --without-system-zlib
	system_myspell_configure_flags := --enable-system-myspell
endif

# required for various features
BUILD_OFFICIAL = 1
export BUILD_OFFICIAL

DEB_CONFIGURE_USER_FLAGS= \
	$(EXTRA_SYSTEM_CONFIGURE_FLAGS) \
	--disable-debug \
	--with-user-appdir=.mozilla \
	$(system_jpeg_configure_flags) \
	$(system_zlib_configure_flags) \
	$(system_xul_configure_flags) \
	$(system_myspell_configure_flags) \
	--disable-crashreporter \
	--disable-composer \
	--disable-elf-dynstr-gc \
	--disable-gtktest \
	--disable-install-strip \
	--disable-installer \
	--disable-ldap \
	--disable-mailnews \
	--disable-profilesharing \
	--disable-strip \
	--disable-strip-libs \
	--disable-tests \
	--disable-mochitest \
	--disable-updater \
	--disable-xprint \
	--enable-application=browser \
	--enable-canvas \
	--enable-default-toolkit=cairo-gtk2 \
	--enable-gnomevfs \
	--enable-pango \
	--enable-postscript \
	--enable-svg \
	--enable-mathml \
	--enable-xft \
	--enable-xinerama \
	--enable-extensions=default,-reporter \
	--enable-safe-browsing \
	--enable-single-profile \
	--with-distribution-id=com.ubuntu \
	--enable-startup-notification \
	$(BRANDING)

UUDECODE = \
	debsearch.gif \
	$(NULL)

DEBIAN_EXECUTABLES = \
	firefox.sh \
	$(NULL)

subst_files = \
	debian/$(DEBIAN_REAL_NAME).postinst \
	debian/$(DEBIAN_REAL_NAME).prerm \
	debian/firefox.sh \
	$(NULL)

%: %.in
	sed -e 's,@LIBDIR@,/$(DEBIAN_FF3_DIR),g' \
	    -e 's,@APPNAME@,$(DEBIAN_REAL_NAME),g' < $< > $@

debian/firefox.sh: debian/firefox.sh.in
	sed -e 's,@LIBDIR@,/$(DEBIAN_FF3_DIR),g' \
	    -e 's,@META_NAME@,$(DEBIAN_META_NAME),g' \
	    -e 's,@APPVER@,$(DEBIAN_APP_NAME_VER),g' < $< > $@

debian/migrator/ffox-beta-profile-migration-dialog: debian/migrator/main.c
	$(CC) $(CFLAGS) -o $@ $< $(shell pkg-config --cflags --libs gtk+-2.0)

BRANDING_MAKEFILES = ../../browser/branding/$(BRANDING_NAME_OTHER)/Makefile \
	../../browser/branding/$(BRANDING_NAME_OTHER)/locales/Makefile \
	../../browser/branding/$(BRANDING_NAME_OTHER)/content/Makefile \
	$(NULL)

ifeq (1, $(DEB_MIN_SYSDEPS))
