## firefox-3.0 3.6.28+build1+nobinonly-0ubuntu0.10.04.1common0araneo1

=== debian/changelog ===
firefox-3.0 (3.6.28+build1+nobinonly-0ubuntu0.10.04.1common0araneo1) jaunty; urgency=low

  * New upstream release v3.6.23 (FIREFOX_3_6_28_BUILD1)

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 01:13:18 +0900

firefox-3.0 (3.6.23+build1+nobinonly-0ubuntu0.10.04.1common0araneo3) jaunty; urgency=low

  * debian/rules:
    - add "rm -f debian/stamp-autotools-files-moz"

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 09 Nov 2011 19:17:27 +0900

firefox-3.0 (3.6.23+build1+nobinonly-0ubuntu0.10.04.1common0araneo2) jaunty; urgency=low

  * change distribution name to jaunty.

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 09 Nov 2011 12:50:21 +0900

firefox-3.0 (3.6.23+build1+nobinonly-0ubuntu0.10.04.1common0araneo1) araneo; urgency=low

  * Backport from lucid.
  * Merged with debian security. Remaining changes:
    - Change name from "A Web Browser" to just "Web Browser"
  * Change 'Exec' from abrowser to firefox in abrowser.desktop

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Mon, 31 Oct 2011 19:16:08 +0900

firefox (3.6.23+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.23 (FIREFOX_3_6_23_BUILD1)
    - see USN-1210-1

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 21 Sep 2011 01:44:31 -0500

firefox (3.6.22+build2+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.22 (FIREFOX_3_6_22_BUILD2)
    - Distrust and disable all DigiNotar certs including the Staat der
      Nederlanden Certificates (LP: #838322)

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 05 Sep 2011 13:36:05 -0500

firefox (3.6.21+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.21 (FIREFOX_3_6_21_BUILD1)
    - Distrust and disable DigiNotar Root CA due to fraudulent certificate
      issuance (LP: #837557)

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 30 Aug 2011 13:56:17 -0500

firefox (3.6.20+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.20 (FIREFOX_3_6_20_BUILD1)
    - see USN-1184-1

  * Drop patch for previous cookie regression, accepted upstream
    - drop debian/patches/lp801778_bz667087_att542125-fix-cookie-regression.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 05 Aug 2011 16:07:34 -0500

firefox (3.6.18+build2+nobinonly-0ubuntu0.10.04.2) lucid-security; urgency=low

  * fix LP: #801778 - Regression: Firefox 3.6.18 does not set cookie when
    talking to single letter hostname
    - add debian/patches/lp801778_bz667087_att542125-fix-cookie-regression.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 28 Jun 2011 23:14:35 +0100

firefox (3.6.18+build2+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.18 build2 (FIREFOX_3_6_18_BUILD2)
    - see USN-1149-1

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 15 Jun 2011 02:36:57 -0500

firefox (3.6.17+build3+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.17 build3 (FIREFOX_3_6_17_BUILD3)
    - see USN-1112-1

  * Refresh patch after upstream landing of (bmo: 477724) aka
    avoid pointless shell interpreter hanging around
    - update debian/patches/abrowser_run_mozilla.patch

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 22 Apr 2011 00:37:52 -0500

firefox (3.6.16+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.16 (FIREFOX_3_6_16_BUILD1)
    - see USN-1091-1 

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 23 Mar 2011 09:29:50 -0500

firefox (3.6.15+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.15 (FIREFOX_3_6_15_BUILD1)
    - see USN-1049-2

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 03 Mar 2011 10:30:49 -0600

firefox (3.6.14+build3+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.14 (FIREFOX_3_6_14_BUILD3)
    - see USN-1049-1

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 20 Feb 2011 23:32:54 -0600

firefox (3.6.13+build3+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.13 (FIREFOX_3_6_13_BUILD3)
    - see USN-1019-1

  * Drop patch after upstream landing of bmo: 551152 aka Symlinked components
    break everything
    - remove debian/patches/lp518422.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 06 Dec 2010 12:09:20 +0000

firefox (3.6.12+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.12 (FIREFOX_3_6_12_BUILD1)
    - see USN-1011-1

  [ Jamie Strandboge ]
  * AppArmor:
    - add owner read to environ and auxv in @{PROC} as well as
      /etc/lsb-release read and expr ix for the crash reporter

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Oct 2010 08:36:19 -0400

firefox (3.6.11+build3+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.11 (FIREFOX_3_6_11_BUILD3)
    - see USN-997-1
    - Fixes LP: #589236 and LP: #239952

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor:
   - fix for Google Gears (LP: #644976)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches after landing of (bmo: 327323) aka Can't "Open with" files 
    that are send as application/octet-stream (or other "unknown to firefox" 
    mime types)
    - update debian/patches/mozilla-kde.patch
  * Bump minimum system NSS to 3.12.8 after landing of (bmo: 600104) aka
    Bump minimum required version for system NSS to 3.12.8
    - update debian/rules
  * Bump minimum system NSPR to 4.8.6 after landing of (bmo: 567620) aka
    Bump minimum required version for system NSPR to 4.8.6
    - update debian/rules
  * Bump minimum version of sqlite to 3.7.1 after landing of (bmo: 583611) aka
    Upgrade to SQLite 3.7.1
    - update debian/rules 

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Oct 2010 12:55:19 +0100


