## firefox-3.0 3.6.28+build1+nobinonly-0ubuntu0.10.04.1common0sendai1

=== debian/changelog ===
firefox-3.0 (3.6.28+build1+nobinonly-0ubuntu0.10.04.1common0sendai1) jaunty; urgency=low

  * New upstream release v3.6.23 (FIREFOX_3_6_28_BUILD1)

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 01:13:18 +0900
