=== debian/control ===
Source: firefox-3.0
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox-3.6.head
Build-Depends: cdbs, debhelper (>= 5), sharutils, m4,
	autotools-dev, autoconf2.13,
	quilt, patchutils (>= 0.2.25),
	bzip2, zlib1g-dev, zip,
	libx11-dev, libxt-dev,
	libgtk2.0-dev (>= 2.10),
	liborbit2-dev, libidl-dev (>= 0.8.0),
	libxft-dev, libfreetype6-dev,
	libpng12-dev, libjpeg62-dev,
	libxrender-dev, libxinerama-dev,
	libcairo2-dev, libpixman-1-dev,
	libgnome2-dev, libgconf2-dev, libgnomevfs2-dev, libgnomeui-dev,
	libstartup-notification0-dev,
	libasound2-dev,
	binutils (>= 2.17-1) [mips mipsel],
	libcurl4-openssl-dev,
	libhunspell-dev,
	libdbus-glib-1-dev (>= 0.60),
	libnspr4-dev, libnss3-dev,
	mozilla-devscripts (>= 0.10~),
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	libnotify-dev (>= 0.4)
Standards-Version: 3.8.1

Package: firefox
Architecture: any
Depends: fontconfig,
	psmisc,
	lsb-release,
	debianutils (>= 1.16),
	${misc:Depends},
	${shlibs:Depends},
	firefox-branding | abrowser-branding
Recommends: ubufox
Suggests: firefox-gnome-support (= ${binary:Version}), kmozillahelper (>= 0.6), latex-xft-fonts, libthai0
Provides: www-browser, 
	firefox-3.0, 
	firefox-2, 
	firefox-2-libthai
Conflicts: firefox-3.0 (<< 3.6~hg20100117r33523),
	firefox-2 (<< 3), 
	firefox-2-libthai (<< 3), 
        firefox-trunk (<< 3.0~a8~cvs20070914t1713-0),
        firefox-granparadiso (<< 3.0~alpha8-0)
Replaces: firefox-trunk,
        firefox-granparadiso,
        firefox-3.0,
        firefox-2,
        firefox-libthai
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-branding
Architecture: any
Depends: firefox (= ${binary:Version}), ${misc:Depends}
Replaces: firefox-3.0,
        abrowser-branding,
        firefox-3.0-branding,
        kubuntu-firefox-installer
Conflicts: abrowser-branding,
           firefox-3.0 (<< 3.6~hg20100117r33523+nobinonly),
           firefox-3.0-branding (<< 3.6)
Provides: abrowser-branding
Description: Package that ships the firefox branding
 This package ships the Firefox branding bits. If you remove this package your
 user experience will become that of the abrowser.

Package: firefox-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends}, ${misc:Depends}, firefox (= ${binary:Version})
Provides: gnome-www-browser, 
	firefox-3.0-gnome-support, 
	firefox-2
Conflicts: firefox-3.0-gnome-support (<< 3.6~hg20100117r33523),
        firefox-2-gnome-support (<< 3.6~),
        firefox-trunk-gnome-support (<< 3.0~a8~cvs20070914t1713-0),
        firefox-granparadiso-gnome-support (<< 3.0~alpha8-0)
Replaces: firefox-3.0-gnome-support,
        firefox-2-gnome-support,
        firefox-trunk-gnome-support,
        firefox-granparadiso-gnome-support
Description: Support for GNOME in Mozilla Firefox
 This is an extension to Firefox that allows it to use protocol
 handlers from GnomeVFS, such as smb or sftp, and other GNOME
 integration features.

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, firefox (= ${binary:Version})
Conflicts: firefox-2-dbg (<< 3)
Replaces: firefox-2-dbg
Provides: firefox-2-dbg
Description: firefox debug symbols
 Debug symbols for Firefox 3.6.

Package: firefox-gnome-support-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, firefox-gnome-support (= ${binary:Version}), firefox-dbg (= ${binary:Version})
Provides: firefox-2-dbg
Conflicts: firefox-2-dbg (<< 3.6~)
Replaces: firefox-2-dbg
Description: firefox gnome support debug symbols
 Debug symbols for the GNOME support files of Firefox 3.6.

Package: firefox-dev
Architecture: any
Section: devel
Depends: firefox (= ${binary:Version}), ${misc:Depends}
Conflicts: firefox-3.0-dev (<< 3.6~hg20100117r33523),
        firefox-2-dev (<< 3.6~),
        firefox-trunk-dev (<< 3.0~a8~cvs20070914t1713-0),
        firefox-granparadiso-dev (<< 3.0~alpha8-0)
Replaces: firefox-3.0-dev,
        firefox-2-dev,
        firefox-trunk-dev,
        firefox-granparadiso-dev
Provides: firefox-3.0-dev,
        firefox-2-dev
Description: Development files for Mozilla Firefox
 This package contains the development headers, idl files and static
 libraries needed to develop applications using Mozilla Firefox.

Package: abrowser-branding
Architecture: any
Depends: firefox (= ${binary:Version}), ${misc:Depends}
Replaces: firefox-3.0,
	abrowser-3.0-branding
Conflicts: firefox-branding,
	abrowser-3.0-branding (<< 3.6)
Provides: firefox-branding,
	abrowser-3.0-branding
Description: package that ships the abrowser branding
 The ABrowser refers to the unbranded build of firefox.
 Install the firefox package if you want a branded build.
 .
 This is a metapackage that will point to the latest abrowser package
 in your distribution. Don't remove this if you want to receive automatic
 major version upgrades for this package in future.

Package: abrowser
Architecture: all
Depends: firefox, abrowser-branding, ${misc:Depends}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: metapackage for the unbranded abrowser
 ABrowser is an unbranded version of the popular Firefox webbrowser;
 it is written in the XUL language and designed to be lightweight and
 cross-platform.
 .
 This is a metapackage that will point to the latest abrowser package in
 your distribution.
 Don't remove this if you want to receive automatic major version upgrades
 for this package in future.

Package: firefox-3.0
Architecture: all
Depends: firefox
Description: dummy upgrade package for firefox-3.0 -> firefox
 This is a transitional package so firefox-3.0 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-3.0-gnome-support
Architecture: all
Depends: firefox-gnome-support
Description: dummy upgrade package for firefox-3.0 -> firefox
 This is a transitional package so firefox-3.0 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-3.0-dev
Architecture: all
Depends: firefox-dev
Description: dummy upgrade package for firefox-3.0 -> firefox
 This is a transitional package so firefox-3.0 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-3.0-branding
Architecture: all
Depends: firefox-branding
Description: dummy upgrade package for firefox-3.0 -> firefox
 This is a transitional package so firefox-3.0 users get firefox on
 upgrades. It can be safely removed.

Package: abrowser-3.0-branding
Architecture: all
Depends: abrowser-branding
Description: dummy upgrade package for firefox-3.0 -> firefox
 This is a transitional package so firefox-3.0 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-libthai
Architecture: all
Depends: firefox
Description: dummy upgrade package for firefox-libthai -> firefox
 This is a transitional package so firefox-libthai users get firefox
 on upgrades. It can be safely removed.

Package: firefox-trunk
Architecture: all
Depends: firefox
Description: dummy upgrade package for firefox-trunk -> firefox
 This is a transitional package so firefox-trunk users get firefox on
 upgrades. It can be safely removed.

Package: firefox-trunk-gnome-support
Architecture: all
Depends: firefox-gnome-support
Description: dummy upgrade package for firefox-trunk -> firefox
 This is a transitional package so firefox-trunk users get firefox on
 upgrades. It can be safely removed.

Package: firefox-trunk-dev
Architecture: all
Depends: firefox-dev
Description: dummy upgrade package for firefox-trunk -> firefox
 This is a transitional package so firefox-trunk users get firefox on
 upgrades. It can be safely removed.

Package: firefox-granparadiso
Architecture: all
Depends: firefox
Description: dummy upgrade package for firefox-granparadiso -> firefox
 This is a transitional package so firefox-granparadiso users get firefox on
 upgrades. It can be safely removed.

Package: firefox-granparadiso-gnome-support
Architecture: all
Depends: firefox-gnome-support
Description: dummy upgrade package for firefox-granparadiso -> firefox
 This is a transitional package so firefox-granparadiso users get firefox on
 upgrades. It can be safely removed.

Package: firefox-granparadiso-dev
Architecture: all
Depends: firefox-dev
Description: dummy upgrade package for firefox-granparadiso -> firefox
 This is a transitional package so firefox-granparadiso users get firefox on
 upgrades. It can be safely removed.

Package: firefox-2
Architecture: all
Depends: firefox
Description: dummy upgrade package for old firefox-2 -> firefox
 This is a transitional package so firefox-2 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-2-libthai
Architecture: all
Depends: firefox
Description: dummy upgrade package for old firefox-2 -> firefox
 This is a transitional package so firefox-2 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-2-dom-inspector
Architecture: all
Depends: firefox
Description: dummy upgrade package for old firefox-2 -> firefox
 This is a transitional package so firefox-2 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-2-gnome-support
Architecture: all
Depends: firefox-gnome-support
Description: dummy upgrade package for old firefox-2 -> firefox
 This is a transitional package so firefox-2 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-2-dbg
Architecture: all
Depends: firefox-dbg
Description: dummy upgrade package for old firefox-2 -> firefox
 This is a transitional package so firefox-2 users get firefox on
 upgrades. It can be safely removed.

Package: firefox-2-dev
Architecture: all
Depends: firefox-dev
Description: dummy upgrade package for old firefox-2 -> firefox
 This is a transitional package so firefox-2 users get firefox on
 upgrades. It can be safely removed.
