=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
+DEB_HOST_GNU_CPU	?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+
 DEBIAN_NAME		:= $(shell dpkg-parsechangelog | sed -n 's/^Source: *\(.*\)$$/\1/ p')
 
 DEBIAN_APP_NAME		:= $(shell echo $(DEBIAN_NAME) | sed -e 's/-.*//')
@@ -15,7 +17,6 @@
 DEBIAN_NAME_OTHER	:= $(shell echo $(DEBIAN_NAME) | sed -e 's/$(DEBIAN_APP_NAME)/$(DEBIAN_APP_NAME_OTHER)/')
 
 BRANDING_NAME_OTHER	:= awesome-browser
-
 DEBIAN_META_NAME	:= $(shell grep '^Package: $(DEBIAN_APP_NAME)$$' $(CURDIR)/debian/control | sed -e 's/^Package: //')
 
 DEBIAN_VERSION		:= $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
@@ -99,7 +100,7 @@
 	EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-optimize
 endif
 
-# enable IPC only on i386, amd64 and armel
+# enable IPC and the crash reporter only on i386, amd64 and armel
 ENABLE_IPC ?= 1
 ifeq (,$(findstring i386,$(DEB_BUILD_ARCH)))
 ifeq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
@@ -216,7 +217,6 @@
 	--enable-safe-browsing \
 	--enable-single-profile \
 	--with-distribution-id=com.ubuntu \
-	--enable-startup-notification \
 	$(BRANDING)
 
 UUDECODE = \
@@ -228,8 +228,11 @@
 	$(NULL)
 
 subst_files = \
+	debian/$(DEBIAN_REAL_NAME)-gnome-support.postinst \
 	debian/$(DEBIAN_REAL_NAME).postinst \
+	debian/$(DEBIAN_REAL_NAME).postrm \
 	debian/$(DEBIAN_REAL_NAME).prerm \
+	debian/$(DEBIAN_REAL_NAME).preinst \
 	debian/firefox.sh \
 	$(NULL)
 
@@ -245,9 +248,3 @@
 debian/migrator/ffox-beta-profile-migration-dialog: debian/migrator/main.c
 	$(CC) $(CFLAGS) -o $@ $< $(shell pkg-config --cflags --libs gtk+-2.0)
 
-BRANDING_MAKEFILES = ../../browser/branding/$(BRANDING_NAME_OTHER)/Makefile \
-	../../browser/branding/$(BRANDING_NAME_OTHER)/locales/Makefile \
-	../../browser/branding/$(BRANDING_NAME_OTHER)/content/Makefile \
-	$(NULL)
-
-ifeq (1, $(DEB_MIN_SYSDEPS))
